Subject: Make Package.php optional
Description

Currently the required Package.php file is the only thing that differentiates native from non-native psr-0 compatible components
(assuming packagestate is configured correctly).

Making the file optional and using it only if present, would simplify the packagemanager so there would be no need to have special
handling of non-native components.

Related issues:
related to TYPO3 Flow Base Distribution - Story # 41031: Composer support for... Resolved 2012-09-17

History
#1 - 2012-06-04 14:26 - Adrian Föder

+1, definitely. If the Package class is needed however for further processing (what I assume), the class maybe could be "generated" on the fly maybe
(at least with eval('class Foo...')), fed with information from the Meta XML.

#2 - 2012-09-24 11:03 - Christian Jul Jensen
- Status changed from New to Under Review

Fixed by: https://review.typo3.org/#/c/14686/

#3 - 2012-09-25 11:19 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
